function M2d_init(varargin)
%
%M2D_INIT
%
%       Initialize 2D data for a particular dataset.
%

global pvoxM2d WFNData;

pvoxM2d.z           =round( WFNData.n /2);
pvoxM2d.level       =1;
pvoxM2d.top_down    =1;
pvoxM2d.top_down_old = 1;
pvoxM2d.wfn_scale = [-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius min(min(min(min(WFNData.wfn(:,:,:,:))))) max(max(max(max(WFNData.wfn(:,:,:,:))))) min(min(min(min(WFNData.wfn(:,:,:,:))))) max(max(max(max(WFNData.wfn(:,:,:,:)))))];
pvoxM2d.pot_scale = [-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius min(min(min(WFNData.pot(:,:,:)))) max(max(max(WFNData.pot(:,:,:)))) min(min(min(WFNData.pot(:,:,:)))) max(max(max(WFNData.pot(:,:,:))))];
pvoxM2d.rho_scale = [-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius min(min(min(WFNData.rho(:,:,:)))) max(max(max(WFNData.rho(:,:,:)))) min(min(min(WFNData.rho(:,:,:)))) max(max(max(WFNData.rho(:,:,:))))];

pvoxM2d.init        =1;
