function Mslice_init(varargin)
%
%MSLICE_INIT
%
%       Initialize slice data for a particular dataset.
%

global pvoxMslice WFNData;

pvoxMslice.level    =1;
pvoxMslice.x        =round( WFNData.n/2 );
pvoxMslice.y        =round( WFNData.n/2 );
pvoxMslice.z        =round( WFNData.n/2 );

pvoxMslice.wfn_scale = [-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius -WFNData.radius WFNData.radius min(min(min(min(WFNData.wfn(:,:,:,:))))) max(max(max(max(WFNData.wfn(:,:,:,:)))))];
pvoxMslice.pot_scale = [-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius -WFNData.radius WFNData.radius min(min(min(WFNData.pot(:,:,:)))) max(max(max(WFNData.pot(:,:,:))))];
pvoxMslice.rho_scale = [-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius -WFNData.radius WFNData.radius min(min(min(WFNData.rho(:,:,:)))) max(max(max(WFNData.rho(:,:,:))))];

pvoxMslice.init     =1;
