function update_gui(varargin);
%
%UPDATE_GUI
%
%       Placeholder function to automatically update all the controls 
%       for the proper update function
%

%
%TODO: have the function take in a string 
%       that is passed to the update function
%

global PguiData;

if ~(PguiData.open_dataset)
    return;
end

switch PguiData.mode
    case 'M1d'
        update_M1d('everything')
    case 'M2d'
        update_M2d('everything')
    case 'M3d'
        update_M3d('everything')
    case 'Mdos'
        update_Mdos('everything')
    case 'Mslice'
        update_Mslice('everything')
    otherwise
end