function update_state(varargin)
%
%UPDATE_STATE
%
%       Update the user state aspects that otherwise might automatically
%       turn off when the user operates a control
%

global Ptoolbar Phandles PguiData pvoxM2d pvoxM1d;

%
%update zoom
%
%TODO: add zoom functionality to dos
%
if strncmp( get(Ptoolbar.zoomin,'State'),'on',2)

    drawnow;

    zoom(Phandles.figure1,'on');

    if strncmp( get(Ptoolbar.rotate,'State'),'on',2)
        set(Ptoolbar.rotate,'State', 'off' );
        rotate3d(Phandles.figure1,'off');
    end

else
    zoom(Phandles.figure1,'off');
end

%update colorbar
if ~(PguiData.compatability)
    	if strncmp( get(Ptoolbar.colorbar,'State'), 'on',2) && ~(strncmp(PguiData.mode,'M1d',3)) && ~(strncmp(PguiData.mode,'Mdos',4))
        	colorbar('vert','peer',Phandles.axes1)
    	else
       		 colorbar('off','peer',Phandles.axes1)
    	end
else 
	if strncmp( get(Ptoolbar.colorbar, 'State'), 'on',2) && ~(strncmp(PguiData.mode,'M1d',3)) && ~(strncmp(PguiData.mode, 'Mdos',4))
		colorbar('vert', 'peer', Phandles.axes1);
	else
		banana= colorbar('vert', 'peer', Phandles.axes1);
		delete(banana);
    end
end

%update rotate
if strncmp( get(Ptoolbar.rotate,'State'),'on',2) && ~( strncmp(PguiData.mode,'Mdos',4) ) && ~( strncmp(PguiData.mode,'M2d',3) && pvoxM2d.top_down ) && ~( strncmp(PguiData.mode,'M1d',3) && ~pvoxM1d.atomview)
    rotate3d(Phandles.figure1,'on');
else
    rotate3d(Phandles.figure1,'off');
end
